Developer API
Build with PersonaVerse
Integrate AI personas into your applications with our simple REST API.
API Keys
Generate secure API keys to access our services
REST API
Simple HTTP endpoints for easy integration
Documentation
Comprehensive guides and examples
Quick Start
1. Get Your API Key
Upgrade to Pro or Creator plan to generate API keys from your dashboard.
2. Make Your First Request
curl -X POST https://www.personaverse.space/api/v1/chat \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"message": "Hello, how are you?",
"personaId": "viral-vince",
"history": []
}'3. Response Format
{
"response": "Hey! I'm doing great, thanks for asking! Ready to make some content go viral? 🔥",
"personaId": "viral-vince",
"timestamp": "2026-03-03T10:30:00.000Z"
}API Endpoints
POST
/api/v1/chatChat with any AI personaGET
/api/v1/personasList available personasGET
/api/v1/personas/:idGet persona detailsRate Limits: Pro plan: 100 requests/hour, Creator plan: 1000 requests/hour